"""Copyright (C) 2023 3d-illusions All Rights Reserved

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>."""


bl_info = {
    "name" : "cycles context bug",
    "author" : "3d-illusions.co.uk",
    "description" : "replicates cycles context bug after rendering completes",
    "blender" : (2,93,0),
    "version" : (4,0,9),
    "warning" : "never eat yellow snow!",
    "category" : "bugs"    
}


from .handlers import handlers
from .operators.register import render_still
from .utils import RegisterKeymap

def register():
    handlers.register_handler()
    render_still.register()
    RegisterKeymap.register_keymap()
    
def unregister():    
    handlers.unregister_handler()
    render_still.unregister()
    RegisterKeymap.unregister_keymap()
