import bpy
from ..dont_register import render_operations
from ...variables import global_vars


class BugTest_OT_repeat_render(bpy.types.Operator):
    bl_idname = "bugtest.repeat_render"
    bl_label = "generate cycles context bug"
    bl_description = "keeps rendering until there's an error"
    bl_options = {"REGISTER", "UNDO"}

    write_still : bpy.props.BoolProperty(default=False)
    

    def execute(self,context):
        global_vars.reset_all()
        global_vars.all_user_render_settings = []
        global_vars.all_user_render_settings.append(render_operations.store_user_render_settings(context.scene.name))
        render_operations.set_random_sample_settings()
        bpy.ops.render.render("INVOKE_DEFAULT",animation=False,use_viewport=True,write_still=self.write_still)
        
        return {'FINISHED'}
    

def register():
    bpy.utils.register_class(BugTest_OT_repeat_render)

def unregister():
    bpy.utils.unregister_class(BugTest_OT_repeat_render)


   


    

