import bpy

#a list of dictinaries.  Each dictionary contains the necessary information to create a keymap
keymaps_to_register = (
    {'operator':'bugtest.repeat_render','name':'Screen', 'space_type' : 'EMPTY', 'prop_map' : '', 'key' :'F12', 'action' : "PRESS", 'ctrl' : True, 'shift' : True, 'alt' : False},
    
    )
keys = []


def create_keys(maps,kc):
    '''
    registers a new keymap\n
    pass in a dictionary of values and a keyconfig'''    
    km = kc.keymaps.new(name = maps['name'], space_type = maps['space_type'])
    kmi = km.keymap_items.new(maps['operator'], maps['key'], maps['action'], ctrl= maps['ctrl'], shift=maps['shift'],alt = maps['alt'])
    if maps['prop_map'] != "":
        kmi.properties.name = maps['prop_map']
    
    keys.append((km, kmi))
    

def register_keymap():
    
    wm = bpy.context.window_manager
    addon_keyconfig = wm.keyconfigs.addon    
    kc = addon_keyconfig

    for maps in keymaps_to_register:
        create_keys(maps,kc)
    

def unregister_keymap():

    for km, kmi in keys:
        km.keymap_items.remove(kmi)

    keys.clear()
